interface Cache<V> {
    get(key: string): V | undefined;
    set(key: string, value: V): this;
    has(key: string): boolean;
    delete(key: string): boolean;
}
interface CacheOptions {
    maxAge?: number;
}
/**
 * @description Cache of API responses.
 */
export declare class ClientCache<V> implements Cache<V> {
    private cache;
    private sweepInterval?;
    private maxAge;
    constructor(options?: CacheOptions);
    get size(): number;
    private sweep;
    get(key: string): V;
    set(key: string, value: V): this;
    has(key: string): boolean;
    delete(key: string): boolean;
}
export {};
