import { ClientCache } from "../client/clientCache";
import type { ClientCookieManager } from "../client/clientCookieManager";
import type { Language } from "../constants/lang";
export interface Options<T> {
    cache?: boolean;
    cacheOptions?: {
        maxAge?: number;
    };
    defaultOptions?: fetchOptions & T;
    cookieManager?: ClientCookieManager;
}
export interface fetchOptions {
    cookie?: string;
    language?: Language;
}
export declare class BaseRoute<cacheType = unknown> {
    readonly cache: ClientCache<cacheType> | null;
    readonly cookieManager?: ClientCookieManager;
    constructor(options?: Options<fetchOptions>);
}
