import { BaseRoute, fetchOptions, Options } from "./base";
import type { DailyRewardSignInHistoryData, DayRewardData, DailyRewardSignInData, DailyRewardInfoData, DailyRewardExtraRewardData, DailyRewardResignData } from "../interface";
export type fetchClaimHistoryOption = fetchOptions & {
    page?: number;
};
export declare class DailyRewards extends BaseRoute {
    private readonly defaultOptions?;
    constructor(options?: Options<fetchOptions>);
    /**
     * @description Get the daily rewards details
     * @param {number} day The day to get
     */
    fetchDayReward(day: number, options?: fetchOptions): Promise<DayRewardData>;
    /**
     * @description CheckIn to claim Daily Rewards
     */
    checkIn(options?: fetchOptions): Promise<DailyRewardSignInData>;
    /**
     * @description Get the daily rewards info
     */
    fetchRewardInfo(options?: fetchOptions): Promise<DailyRewardInfoData>;
    /**
     * @description Get the extra rewards info
     */
    fetchExtraRewardInfo(options?: fetchOptions): Promise<DailyRewardExtraRewardData>;
    /**
     * @description get resign info
     */
    fetchResignInfo(options?: fetchOptions): Promise<DailyRewardResignData>;
    /**
     * @description get check in history
     */
    fetchCheckInHistory(options?: fetchClaimHistoryOption): Promise<DailyRewardSignInHistoryData>;
}
